diff -ruN twin.orig/Makefile twin/Makefile
--- twin.orig/Makefile	Sat May  3 22:02:14 2003
+++ twin/Makefile	Fri Aug  1 23:30:51 2003
@@ -15,13 +15,21 @@
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Willows Toolkit for migrating and developing Windows applications
 
+ONLY_FOR_ARCHS= i386 alpha powerpc
+
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USE_XLIB=	yes
-USE_GMAKE=	yes
+USE_AUTOCONF=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--disable-debugger
+.if ${MACHINE_ARCH} != "i386"
+  CONFIGURE_ARGS+= --disable-intp
+.endif
+USE_GMAKE=	yes
+
 ALL_TARGET=	depend world
+
 PLIST_SUB=	LIBVER="${LIBVER}"
 INSTALLS_SHLIB=	yes
 
diff -ruN twin.orig/files/patch-ae twin/files/patch-ae
--- twin.orig/files/patch-ae	Mon May 12 16:33:56 2003
+++ twin/files/patch-ae	Wed Dec 31 19:00:00 1969
@@ -1,5 +0,0 @@
---- configure.orig	Sun Nov 14 05:23:12 1999
-+++ configure	Sat Feb 12 18:13:09 2000
-@@ -2684 +2684 @@
--   i*86-unknown-freebsd* )
-+   *-*-freebsd* )
diff -ruN twin.orig/files/patch-configure.in twin/files/patch-configure.in
--- twin.orig/files/patch-configure.in	Wed Dec 31 19:00:00 1969
+++ twin/files/patch-configure.in	Fri Aug  1 23:28:29 2003
@@ -0,0 +1,33 @@
+--- configure.in.orig	Fri Aug  1 23:23:48 2003
++++ configure.in	Fri Aug  1 23:27:42 2003
+@@ -131,6 +131,10 @@
+ 	TARGET=sunos
+ 	;;
+ 
++   alpha-*-freebsd* )
++	TARGET=freebsd
++	;;
++
+    alpha-*-linux* )
+ 	TARGET=linux
+ 	;;
+@@ -143,7 +147,7 @@
+ 	TARGET=sco
+ 	;;
+ 
+-   i*86-unknown-freebsd* )
++   i*86-*-freebsd* )
+ 	TARGET=freebsd
+ 	;;
+ 
+@@ -153,6 +157,10 @@
+ 
+    i*86-*-cygwin* )
+ 	TARGET=cygwin
++	;;
++
++   powerpc-*-freebsd* )
++	TARGET=freebsd
+ 	;;
+ 
+    powerpc-*-linux* )
